Create Filter
curl --request POST \
--url http://{host}:{port}/{contextPath}/filter/create \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceType": "Task",
"name": "Accounting Tasks",
"owner": "jonny1",
"query": {
"candidateGroup": "accounting"
},
"properties": {
"color": "#3e4d2f",
"description": "Tasks assigned to group accounting",
"priority": 5
}
}
'import requests
url = "http://{host}:{port}/{contextPath}/filter/create"
payload = {
"resourceType": "Task",
"name": "Accounting Tasks",
"owner": "jonny1",
"query": { "candidateGroup": "accounting" },
"properties": {
"color": "#3e4d2f",
"description": "Tasks assigned to group accounting",
"priority": 5
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resourceType: 'Task',
name: 'Accounting Tasks',
owner: 'jonny1',
query: {candidateGroup: 'accounting'},
properties: {
color: '#3e4d2f',
description: 'Tasks assigned to group accounting',
priority: 5
}
})
};
fetch('http://{host}:{port}/{contextPath}/filter/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "aFilterId",
"resourceType": "Task",
"name": "Accounting Tasks",
"owner": "jonny1",
"query": {
"candidateGroup": "accounting"
},
"properties": {
"color": "#3e4d2f",
"description": "Tasks assigned to group accounting",
"priority": 5
}
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Filter
Create Filter
Creates a new filter.
POST
/
filter
/
create
Create Filter
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Response
Request successful.
The id of the filter.
The resource type of the filter.
The name of the filter.
The user id of the owner of the filter.
The query of the filter as a JSON object.
The properties of a filter as a JSON object.
The number of items matched by the filter itself. Note: Only exists
if the query parameter
itemCount was set to true
⌘I